## squid 4.1

=== debian/changelog ===
squid (4.1-1ubuntu3.1) cosmic; urgency=medium

  * d/p/smp-startup-error.patch: fix startup error in SMP mode, when workers
    is set. (LP: #1815852)
  * d/squid.tmpfile: add tmpfiles configuration to handle /var/run/squid
    at boot. Thanks to Luigi Gangitano <luigi@debian.org> (LP: #1816006)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 28 Feb 2019 13:27:11 -0300

squid (4.1-1ubuntu3) cosmic; urgency=medium

  * d/p/fix-rotate-assertion.patch: Fix assertion error when rotating logs.
    Thanks to Vitaly Lavrov <vel21ripn@gmail.com>. (LP: #1794553)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 09 Oct 2018 14:00:36 -0300

squid (4.1-1ubuntu2) cosmic; urgency=medium

  * d/usr.sbin.squid: Update apparmor profile to grant read access to squid
    binary (LP: #1792728)

 -- Simon Deziel <simon@sdeziel.info>  Sat, 15 Sep 2018 13:55:32 -0400

squid (4.1-1ubuntu1) cosmic; urgency=medium

  * Merged with Debian unstable (LP: #1780944, LP: #1097032, LP: #16669).
    Remaining changes:
    - Use snakeoil certificates.
      [Updated to use the correct config setting names]
    - Add an example refresh pattern for debs.
      [Improved the refresh patterns based on the configuration from
       squid-deb-proxy package]
    - Add disabled by default AppArmor profile.
      [Updated to include the ssl_certs abstraction and suggestions on how to
       deal with the snakeoil private key and other keys in /etc/ssl.]
  * Dropped changes:
    - Add additional dep8 tests.
      [Adopted in 4.0.21-1~exp5, albeit a stripped down version]
    - Correct attribution and add explanatory note in d/NEWS.debian.
      [That particular upgrade path has happened long ago.]
    - Drop wrong short-circuiting of various invocations; we always want to
      call the debhelper block.
      [This was for the transitional squid3 package, and that transition has
       already happened.]
    - Revert "Set pidfile for systemd's sysv-generator" from Debian.
      [Not needed anymore since we have a native systemd service file
       and no longer rely on the generator.]
    - Enable autoreconf. This is no longer required for the security updates,
      but is needed for the seddery of test-suite/Makefile.am in
      d/t/upstream-test-suite.
      [Replaced by patch 0003-installed-binary-for-debian-ci.patch]
    - Adjust seddery for upstream test squid binary location.
      [sed no longer necessary since patch,
       0003-installed-binary-for-debian-ci.patch, will be dropped
       entirely.]
    - Drop Conflicts/Replaces of squid against squid3. In Ubuntu, the migration
      happened in Xenial, so no upgrade path still requires this code. This
      reduces upgrade ordering difficulty.
      [Again we have a migration, but this time from squid3 to squid, so we
      need this].
    - GCC7 FTBFS fixes (LP: #1712668):
      + d/rules: don't error when hitting the "deprecated" and
      "format-truncation" gcc7 warnings. Upstream 3.5.27 has fixes for these,
      but one in Format.cc that affects 32bit builds was deemed too intrusive
      for the 3.5 stable series and is only in squid 4.x
      [No longer needed with squid 4.x]
    - Do not force gcc-6
      [It was a temporary workaround in Debian that got dropped]
  * Added changes:
    - d/rules: enable cdbs parallel build
    - d/t/test-squid.py: fix apparmor profile filename
    - d/t/test-squid.py: fix the process name. The PID points at the parent.
    - d/t/upstream-test-suite: also make libmem.la, needed by the tests.
    - d/t/0003-installed-binary-for-debian-ci.patch:  use the squid
      binary from the system, instead of the one from the source tree.
    - d/p/fix-uninitialized-var.patch: Workaround gcc's maybe-unitialized
      error in parse_time_t, triggered on ppc64el due to the build using -O3
      in that architecture.
    - d/rules: Add -Wno-format-truncation to CXXFLAGS as a workaround if
      building for ppc64el. On that arch, dpkg-buildflags sets -O3 instead of
      -O2 and that triggers a format-truncation error on pcon.cc. See
      See https://bugs.squid-cache.org/show_bug.cgi?id=4875
    - d/t/upstream-test-suite: drop the sed line, since patch
      0003-installed-binary-for-debian-ci.patch is doing this work now.
      (https://salsa.debian.org/squid-team/squid/commit/ad4372b444ba8b1587839)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 16 Aug 2018 12:33:17 -0300

squid (4.1-1) unstable; urgency=high

  * New Upstream Release (Closes: #896120)

  * debian/patches/
    - Add upstream patch to fix GCC-8 FTBFS issues

  * debian/control
    - Remove shlibs:Depends from transitional squid3 package

 -- Luigi Gangitano <luigi@debian.org>  Tue, 03 Jul 2018 18:37:15 +0200

squid (4.0.24-1~exp16) experimental; urgency=medium

  * debian/{control,rules}
    - Build with TLS support from gnutls (Closes: #641944, #811014)

 -- Luigi Gangitano <luigi@debian.org>  Mon, 30 Apr 2018 15:37:15 +0200

squid (4.0.24-1~exp15) experimental; urgency=medium

  * New Upstream Release (Closes: #641944)
    - Adds GnuTLS support for https_port (Closes: #811014)

  * debian/control
    - Add Recommends for ca-certificates to squid and squidclient to ensure
      system Trusted CA certificates are installed.
    - Update Vcs-* headers for Salsa migration
    - Bumped Standards-Version to 4.1.4

  * debian/{rules,install,squid.service}
    - Convert to debhelper for systemd init script installation
      (Closes: #889541)

  * debian/squid.{postinst,postrm}
    - Remove update-rc.d commands now done by debhelper

  * debian/NEWS.debian
    - Document surprises caused by systemd use (Closes: #896125)

 -- Luigi Gangitano <luigi@debian.org>  Sun, 29 Apr 2018 18:20:24 +0200

squid3 (3.5.27-1) unstable; urgency=high

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release

  * debian/{control,rules}
    - Add temporary dependency on gcc-6 and g++-6 to workaround FTBFS in
      unstable

  * debian/patches/

