=== debian/control ===
Source: squid
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
Uploaders: Santiago Garcia Mantinan <manty@debian.org>
Homepage: http://www.squid-cache.org
Standards-Version: 4.1.4
Vcs-Git: git://salsa.debian.org/squid-team/squid.git
Vcs-Browser: https://salsa.debian.org/squid-team/squid.git
Build-Depends: ed, libltdl-dev, pkg-config
	, g++ (>= 4.9) | clang (>= 3.7)
	, gcc (>= 4.9) | clang (>= 3.7)
	, cdbs, debhelper (>=10), dpkg-dev (>= 1.17.11~), lsb-release
	, libcppunit-dev
	, libcap2-dev [linux-any]
	, libdb-dev
	, libecap3-dev (>= 1.0.1-2)
	, libexpat1-dev
	, libgnutls28-dev (>= 3.5)
	, libkrb5-dev, comerr-dev
	, libldap2-dev
	, libnetfilter-conntrack-dev [linux-any]
	, libpam0g-dev
	, libsasl2-dev
	, libxml2-dev
	, nettle-dev
	, dh-apparmor

Package: squid3
Architecture: all
Section: oldlibs
Priority: optional
Pre-Depends: squid (>= ${source:Version})
Depends: ${misc:Depends}, lsb-base
Description: Transitional package
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 This is a transitional package used to migrate from squid3 to squid.

Package: squid
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl, ssl-cert
Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbindd, apparmor
Recommends: libcap2-bin [linux-any], ca-certificates
Conflicts: squid3 (<< ${binary:Version})
Replaces: squid3
Description: Full featured Web Proxy cache (HTTP proxy)
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.

Package: squid-common
Architecture: all
Depends: ${misc:Depends}, squid-langpack (>= 20110214-1)
Provides: squid3-common
Conflicts: squid3-common
Replaces: squid3-common
Description: Full featured Web Proxy cache (HTTP proxy) - common files
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 This package contains common files (MIB and icons)

Package: squidclient
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ssl-cert, ca-certificates
Provides: squid3-client
Conflicts: squid3-client
Replaces: squid3-client
Description: Full featured Web Proxy cache (HTTP proxy) - HTTP(S) message utility
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 This package contains a small utility that can be used to get URLs from the
 command line.

Package: squid-cgi
Architecture: any
Depends: apache2 | httpd, ${shlibs:Depends}, ${misc:Depends}
Provides: squid3-cgi
Conflicts: squid3-cgi
Replaces: squid3-cgi
Description: Full featured Web Proxy cache (HTTP proxy) - control CGI
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 This package contains a CGI program that can be used to query and administrate
 a `squid' proxy cache through a web browser.

Package: squid-purge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Full featured Web Proxy cache (HTTP proxy) - cache management utility
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 This package contains a small utility that can be used to manage the disk cache
 from the command line.
