## squid 4.2

=== debian/changelog ===
squid (4.2-2) unstable; urgency=high

  [ Adrian Bunk <bunk@debian.org> ]
  * Add -latomic for rmel m68k mips mipsel powerpc powerpcspe sh4
    (Closes: #907106)

 -- Luigi Gangitano <luigi@debian.org>  Fri, 24 Aug 2018 08:57:15 +0200

squid (4.2-1) unstable; urgency=high

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release

  * debian/patches/
    - Patch to use installed binary for upstream config tests
    - Remove patches included upstream: 0011-upstream-pr172.patch
    - Add upstream pr264 patch for systemd (Closes: #903165)

  * debian/control
    - Bumped Standards-Version to 4.2.0.0, no change needed

  [ Andreas Hasenack ]
  * Enable CDBS parallel build
  * d/t/upstream-test-suite: also make libmem.la, needed by the tests.
  * d/t/test-squid.py: fix apparmor profile filename
  * debian/tests/control: add ssl-cert to the list of dependencies of the
    squid test, as apache is configured to load
    /etc/ssl/certs/ssl-cert-snakeoil.pem in that test.
  * d/t/test-squid.py: fix the process name. The PID points at the parent.

  [ Luigi Gangitano ]
  * debian/control
    - Fix Vcs-Git and Vcs-Browser URLs

 -- Luigi Gangitano <luigi@debian.org>  Wed, 22 Aug 2018 13:57:15 +0200
