=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: squid
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
+Maintainer: Luigi Gangitano <luigi@debian.org>
 Uploaders: Santiago Garcia Mantinan <manty@debian.org>
 Homepage: http://www.squid-cache.org
-Standards-Version: 4.1.4
-Vcs-Git: git://salsa.debian.org/squid-team/squid.git
-Vcs-Browser: https://salsa.debian.org/squid-team/squid.git
+Standards-Version: 4.2.0.0
+Vcs-Git: https://salsa.debian.org/squid-team/squid.git
+Vcs-Browser: https://salsa.debian.org/squid-team/squid
 Build-Depends: ed, libltdl-dev, pkg-config
 	, g++ (>= 4.9) | clang (>= 3.7)
 	, gcc (>= 4.9) | clang (>= 3.7)
@@ -25,7 +24,6 @@
 	, libsasl2-dev
 	, libxml2-dev
 	, nettle-dev
-	, dh-apparmor
 
 Package: squid3
 Architecture: all
@@ -42,8 +40,8 @@
 Package: squid
 Architecture: any
 Pre-Depends: adduser
-Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl, ssl-cert
-Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbindd, apparmor
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl
+Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbindd
 Recommends: libcap2-bin [linux-any], ca-certificates
 Conflicts: squid3 (<< ${binary:Version})
 Replaces: squid3
