## squid 4.3

=== debian/changelog ===
squid (4.3-1) unstable; urgency=low

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release

  * debian/patches/
    - Remove upstream pr264 patch for systemd

  * debian/control
    - Bumped Standards-Version to 4.2.1, no change needed

 -- Luigi Gangitano <luigi@debian.org>  Mon, 08 Oct 2018 09:57:15 +0200
