=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -Wall
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
+	DEB_LDFLAGS_MAINT_APPEND += -latomic
+endif
+export DEB_LDFLAGS_MAINT_APPEND
 # On ppc64el, dpkg-buildflags sets -O3 instead of the usual
 # -O2. This makes gcc emit a format-truncation error on
 # pconn.cc. See https://bugs.squid-cache.org/show_bug.cgi?id=4875
