## squid 4.6

=== debian/changelog ===
squid (4.6-1+deb10u7A~5.0.1.202206281116) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    001-enable-ssl
    005-squid-4-14311

 -- Univention builddaemon <buildd@univention.de>  Tue, 28 Jun 2022 11:17:31 +0200

squid (4.6-1+deb10u7) buster-security; urgency=medium

  * Add patch to fix a Denial of Service in Gopher Processing.
    Fixes: CVE-2021-46784.
  * Add patch to fix Out-Of-Bounds memory access in WCCPv2.
    Fixes: CVE-2021-28116.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 26 Jun 2022 09:46:03 +0200

squid (4.6-1+deb10u6) buster-security; urgency=medium

  [ Francisco Vilmar Cardoso Ruviaro ]
  * Add debian/patches/0029-CVE-2021-28651.patch to fix a Denial
    of Service in URN processing. (Closes: #988893, CVE-2021-28651)

  [ Santiago Garcia Mantinan ]
  * Add patch to fix a Denial of Service in HTTP Response Processing.
    Fixes: CVE-2021-28662. Closes: #988891.
  * Add patch to fix a Denial of Service issue in Cache Manager.
    Fixes: CVE-2021-28652. Closes: #988892.
  * Add patch to fix Multiple Issues in HTTP Range header.
    Fixes: CVE-2021-31806 CVE-2021-31807 CVE-2021-31808. Closes: #989043.
  * Add patch to fix a Denial of Service in HTTP Response processing.
    Fixes: GHSA-572g-rvwr-6c7f.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 31 May 2021 10:39:12 +0200

squid (4.6-1+deb10u5) buster-security; urgency=medium

  * SQUID-2020:11 HTTP Request Smuggling (CVE-2020-25097) (Closes: #985068)

 -- Santiago García Mantiñán <manty@debian.org>  Mon, 22 Mar 2021 10:37:24 +0100

squid (4.6-1+deb10u4) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * SQUID-2020:8 HTTP(S) Request Splitting (CVE-2020-15811) (Closes: #968932)
  * SQUID-2020:9 Denial of Service processing Cache Digest Response
    (CVE-2020-24606) (Closes: #968933)
  * SQUID-2020:10 HTTP(S) Request Smuggling (CVE-2020-15810) (Closes: #968934)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 26 Aug 2020 12:35:13 +0200

squid (4.6-1+deb10u3) buster-security; urgency=medium

  * CVE-2019-18860
  * CVE-2020-1504

 -- Moritz Mühlenhoff <jmm@debian.org>  Tue, 14 Jul 2020 22:25:06 +0200

squid (4.6-1+deb10u2) buster-security; urgency=high

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * debian/patches/
    - Multiple Issues in HTTP Request processing (CVE-2019-12520)
      (CVE-2019-12524)
    - Heap Overflow issue in URN processing (CVE-2019-12526)
    - Multiple issues in URI processing (CVE-2019-12523)
      (CVE-2019-18676)
    - Cross-Site Request Forgery issue in HTTP Request processing
      (CVE-2019-18677)
    - HTTP Request Splitting issue in HTTP message processing
      (CVE-2019-18678)
    - Information Disclosure issue in HTTP Digest Authentication
      (CVE-2019-18679)
    - Multiple issues in ESI Response processing (CVE-2019-12519)
      (CVE-2019-12521)
    - Improper Input Validation issues in HTTP Request processing
      (CVE-2020-8449) (CVE-2020-8450)
    - Information Disclosure issue in FTP Gateway (CVE-2019-12528)
    - Multiple issues in HTTP Digest authentication (CVE-2020-11945)

 -- Luigi Gangitano <luigi@debian.org>  Mon,  4 May 2020 21:07:15 +0200

squid (4.6-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Denial of Service issue in cachemgr.cgi (CVE-2019-12854)
  * Denial of Service issue in HTTP Basic Authentication processing
    (CVE-2019-12529)
  * Denial of Service issue in HTTP Digest Authentication processing
    (CVE-2019-12525)
  * Heap Overflow issue in HTTP Basic Authentication processing
    (CVE-2019-12527)
  * Multiple Cross-Site Scripting issues in cachemgr.cgi (CVE-2019-13345)
    (Closes: #931478)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 24 Jul 2019 19:33:25 +0200

squid (4.6-1) unstable; urgency=high

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release
    - Fix multiple memory leak and data corruption issues
    - Detect IPv6 loopback binding errors
    - Do not call setsid() in --foreground mode
    - Exit on fork() failures
    - Fix OpenSSL builds that define OPENSSL_NO_ENGINE
    - Fix multiple GCC-8 compile errors

 -- Luigi Gangitano <luigi@debian.org>  Fri, 22 Feb 2019 14:28:15 +0100

squid (4.5-2) unstable; urgency=medium

  [ Luigi Gangitano <luigi@debian.org> ]
  * debian/{rules,squid.tmpfile}
    - Add tmpfiles configuration to handle /var/run/squid at boot

  * debian/squid.lintian-overrides
    - Removed unused override file

 -- Luigi Gangitano <luigi@debian.org>  Wed, 20 Feb 2019 17:28:15 +0100

squid (4.5-1) unstable; urgency=medium

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release

  * debian/control
    - Bumped Standards-Version to 4.3.0, no change needed

  * debian/rules
    - Add /var/run/squid directory for SMP workers and helpers

  [ Helmut Grohne <helmut@subdivi.de> ]
  * debian/rules
    - Pass BUILDCXX to ./configure on cross-builds
    - use --with-build-environment=default to avoid arm64 flag issues

  * debian/control
    - Add cross-compile annotations to restrict GCC/LLVM dependency
      (Closes: #916536)

  [ Luigi Gangitano <luigi@debian.org> ]
  * debian/control
    - Fixed dependency on winbind instead of winbindd

  * debian/squid{,3}.{postinst,postrm,preinst,maintscript}
    - Moved dpkg-maintscript-helper commands to proper DH file

 -- Luigi Gangitano <luigi@debian.org>  Wed, 20 Feb 2019 11:57:15 +0100
