=== debian/rules ===
--- 
+++ 
@@ -3,19 +3,16 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -Wall
 
-DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -latomic
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
 	DEB_LDFLAGS_MAINT_APPEND += -latomic
 endif
 export DEB_LDFLAGS_MAINT_APPEND
-# On ppc64el, dpkg-buildflags sets -O3 instead of the usual
-# -O2. This makes gcc emit a format-truncation error on
-# pconn.cc. See https://bugs.squid-cache.org/show_bug.cgi?id=4875
-ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),ppc64el)
-  export DEB_CXXFLAGS_MAINT_APPEND = -Wno-format-truncation
-endif
+
 export DEB_BUILD_PARALLEL = yes
 include /usr/share/dpkg/buildflags.mk
+-include /usr/share/dpkg/buildtools.mk
+CXX_FOR_BUILD ?= $(CXX)
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
@@ -29,6 +26,8 @@
 BUILDINFO := $(shell lsb_release -si 2>/dev/null)
 
 DEB_CONFIGURE_EXTRA_FLAGS := BUILDCXXFLAGS="$(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS)" \
+		BUILDCXX=$(CXX_FOR_BUILD) \
+		--with-build-environment=default \
 		--enable-build-info="$(BUILDINFO) $(DEB_HOST_ARCH_OS)" \
 		--datadir=/usr/share/squid \
 		--sysconfdir=/etc/squid \
@@ -52,6 +51,8 @@
 		--enable-storeid-rewrite-helpers="file" \
 		--enable-url-rewrite-helpers="fake" \
 		--enable-eui \
+		--enable-ssl \
+		--with-openssl \
 		--enable-esi \
 		--enable-icmp \
 		--enable-zph-qos \
@@ -100,7 +101,3 @@
 	install -m 755 -g root -d $(INSTALLDIR)/usr/share/man/man1
 	mv $(INSTALLDIR)/usr/bin/purge $(INSTALLDIR)/usr/bin/squid-purge
 	mv $(INSTALLDIR)/usr/share/man/man1/purge.1 $(INSTALLDIR)/usr/share/man/man1/squid-purge.1
-	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/force-complain
-	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/disable
-	install -m 644 -g root debian/usr.sbin.squid $(INSTALLDIR)/etc/apparmor.d
-	dh_apparmor --profile-name=usr.sbin.squid -psquid
