## squid 4.6.5

=== debian/changelog ===
squid (4.6.5-1+security) unstable; urgency=medium

  * update

 -- Luigi Gangitano <luigi@debian.org>  Wed, 13 Oct 2021 11:42:42 +0800

squid (4.6.4-1+security) unstable; urgency=medium

  * fix CVE-2020-8517

 -- wangpei <wangpei@uniontech.com>  Wed, 31 Mar 2021 17:20:01 +0800

squid (4.6.3-1+security) buster; urgency=medium

  * merge debian/4.6-1+deb10u5
  * fix CVE-2020-24606,CVE-2020-15811,CVE-2020-15810,TEMP-0000000-F99584

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 25 Mar 2021 15:50:33 +0800

squid (4.6.2-1+security) buster; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-14058

 -- zhouzilong <zhouzilong@uniontech.com>  Mon, 15 Mar 2021 10:55:58 +0800

squid (4.6.1-1+dde) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild 

 -- zhouzilong <zhouzilong@uniontech.com>  Wed, 19 Aug 2020 16:40:51 +0800
