## squid 4.8

=== debian/changelog ===
squid (4.8-1ubuntu2) eoan; urgency=medium

  * d/p/drop-sysctl_h.patch: no longer include sysctl.h as it was
    deprecated in glibc 2.30 (LP: #1843325)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 09 Sep 2019 17:31:45 -0300

squid (4.8-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Use snakeoil certificates.
    - Add an example refresh pattern for debs.
    - d/usr.sbin.squid: Add sections for maas-proxy, squid-deb-proxy,
      squidguard
    - d/rules: Add -Wno-format-truncation to CXXFLAGS as a workaround if
      building for ppc64el. On that arch, dpkg-buildflags sets -O3 instead of
      -O2 and that triggers a format-truncation error on pcon.cc. See
      See https://bugs.squid-cache.org/show_bug.cgi?id=4875
    - d/rules: Only use -latomic with the intended architectures, instead of
      all of them. This matches what was suggested in
      https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=907106#5
    - d/NEWS.debian: rename d/NEWS.debian to d/NEWS so that
      dh_installchangelogs can pick it up. dh_installchangelogs handles
      d/NEWS or d/<package>.NEWS, but not NEWS.debian.
    - debian/patches/more-gcc-9-fixes.patch: switch to xstrncpy in
      lib/smblib/smblib-util.c. (LP #1835831)
  * Dropped:
    - d/p/fix-rotate-assertion.patch: Fix assertion error when rotating logs.
      Thanks to Vitaly Lavrov <vel21ripn@gmail.com>. (LP #1794553)
      [Fixed upstream]
    - debian/patches/413.patch: Fix gcc-9 build issues with upstream merged
      patch
      [Fixed upstream]
    - SECURITY UPDATE: incorrect digest auth parameter parsing
      + debian/patches/CVE-2019-12525.patch: check length in
        src/auth/digest/Config.cc.
      + CVE-2019-12525
      [Fixed upstream]
    - SECURITY UPDATE: buffer overflow in basic auth decoding
      + debian/patches/CVE-2019-12527.patch: switch to SBuf in
        src/HttpHeader.cc, src/HttpHeader.h, src/cache_manager.cc,
        src/clients/FtpGateway.cc.
      + CVE-2019-12527
      [Fixed upstream]
    - SECURITY UPDATE: basic auth uudecode length issue
      + debian/patches/CVE-2019-12529.patch: replace uudecode with libnettle
        base64 decoder in lib/Makefile.*, src/auth/basic/Config.cc,
        include/uudecode.h, lib/uudecode.c.
      + CVE-2019-12529
      [Fixed upstream]
    - SECURITY UPDATE: XSS issues in cachemgr.cgi
      + debian/patches/CVE-2019-13345.patch: properly escape values in
        tools/cachemgr.cc.
      + CVE-2019-13345
      [Fixed upstream]
  * Added:
    - d/t/test-squid.py: test_zz_apparmor(): bail early if securityfs isn't
      mounted

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 24 Jul 2019 16:38:59 -0300

squid (4.8-1) unstable; urgency=high

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release
    - Fixes security issue SQUID-2019:1 (CVE-2019-12824)
    - Fixes security issue SQUID-2019:2 (CVE-2019-12529)
    - Fixes security issue SQUID-2019:3 (CVE-2019-12525)
    - Fixes security issue SQUID-2019:5 (CVE-2019-12527)
    - Fixes security issue SQUID-2019:6 (CVE-2019-13345) (Closes: #931478)

  * debian/control
    - Bumped Standards-Version to 4.4.0, no change needed

  * debian/tests/test-squid.py
    - Skip Apparmor tests when profile not installed

 -- Luigi Gangitano <luigi@debian.org>  Thu, 18 Jul 2019 22:28:15 +0200

squid (4.6-2ubuntu4) eoan; urgency=medium

  * Fix gcc-9 issues (LP: #1835831)
    - Remove -Wno-sizeof-pointer-memaccess -Wno-stringop-truncation
    - debian/patches/more-gcc-9-fixes.patch: switch to xstrncpy in
      lib/smblib/smblib-util.c.
  * SECURITY UPDATE: incorrect digest auth parameter parsing
    - debian/patches/CVE-2019-12525.patch: check length in
      src/auth/digest/Config.cc.
    - CVE-2019-12525
  * SECURITY UPDATE: buffer overflow in basic auth decoding
    - debian/patches/CVE-2019-12527.patch: switch to SBuf in
      src/HttpHeader.cc, src/HttpHeader.h, src/cache_manager.cc,
      src/clients/FtpGateway.cc.
    - CVE-2019-12527
  * SECURITY UPDATE: basic auth uudecode length issue
    - debian/patches/CVE-2019-12529.patch: replace uudecode with libnettle
      base64 decoder in lib/Makefile.*, src/auth/basic/Config.cc,
      include/uudecode.h, lib/uudecode.c.
    - CVE-2019-12529
  * SECURITY UPDATE: XSS issues in cachemgr.cgi
    - debian/patches/CVE-2019-13345.patch: properly escape values in
      tools/cachemgr.cc.
    - CVE-2019-13345

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 19 Jul 2019 08:01:58 -0400

squid (4.6-2ubuntu3) eoan; urgency=medium

  * Override newly added gcc-9 flags:
    -Wno-sizeof-pointer-memaccess -Wno-stringop-truncation
    NOTE: Overriding those flags is a possible security
    asked for info on the gcc-9 issue bug tracker:
    https://github.com/squid-cache/squid/pull/413#issuecomment-511314076

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Jul 2019 10:21:47 +0200

squid (4.6-2ubuntu2) eoan; urgency=medium

  * Fix gcc-9 build issues with upstream merged patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 14 Jul 2019 14:41:16 +0200

squid (4.6-2ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Use snakeoil certificates.
    - Add an example refresh pattern for debs.
    - d/usr.sbin.squid: Add sections for maas-proxy, squid-deb-proxy,
      squidguard
    - d/rules: Add -Wno-format-truncation to CXXFLAGS as a workaround if
      building for ppc64el. On that arch, dpkg-buildflags sets -O3 instead of
      -O2 and that triggers a format-truncation error on pcon.cc. See
      See https://bugs.squid-cache.org/show_bug.cgi?id=4875
    - d/p/fix-rotate-assertion.patch: Fix assertion error when rotating logs.
      Thanks to Vitaly Lavrov <vel21ripn@gmail.com>. (LP #1794553)
      [Added Applied-Upstream header]
    - d/rules: Only use -latomic with the intended architectures, instead of
      all of them. This matches what was suggested in

