=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
 Uploaders: Santiago Garcia Mantinan <manty@debian.org>
 Homepage: http://www.squid-cache.org
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/squid-team/squid.git
 Vcs-Browser: https://salsa.debian.org/squid-team/squid
 Build-Depends: ed, libltdl-dev, pkg-config
-	, g++ (>= 4.9) | clang (>= 3.7)
-	, gcc (>= 4.9) | clang (>= 3.7)
+# The compiler dependencies are relevant for backporting.
+	, g++ (>= 4.9) <!cross> | clang (>= 3.7) <!cross>
+	, gcc (>= 4.9) <!cross> | clang (>= 3.7) <!cross>
 	, cdbs, debhelper (>=10), dpkg-dev (>= 1.17.11~), lsb-release
+	, dh-apparmor
 	, libcppunit-dev
 	, libcap2-dev [linux-any]
 	, libdb-dev
@@ -25,7 +27,6 @@
 	, libsasl2-dev
 	, libxml2-dev
 	, nettle-dev
-	, dh-apparmor
 
 Package: squid3
 Architecture: all
@@ -43,7 +44,7 @@
 Architecture: any
 Pre-Depends: adduser
 Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl, ssl-cert
-Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbindd, apparmor
+Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
 Recommends: libcap2-bin [linux-any], ca-certificates
 Conflicts: squid3 (<< ${binary:Version})
 Replaces: squid3
